%define release %mkrel 12
%define lib_name_orig	libavifile
%define major_version	0.7
%define lib_name	%mklibname %name %{major_version}
%define libnamecodec	%mklibname aviplayavcodec %major_version

%define build_plf	0
%{?_with_plf: %{expand: %%global build_plf 1}}
%{?_without_plf: %{expand: %%global build_plf 0}}

%define build_faad	0
%define build_lame	0
%define build_win32	0
%define build_xvid	0

%define build_vidix	0
%ifarch %{ix86}
%define build_vidix	1
%endif

%if %build_plf
%define build_faad	1
%define build_lame	1
%define build_xvid	1
%ifarch %{ix86}
%define build_win32	1
%endif
%endif

%{?_with_faad: %{expand: %%global build_faad 1}}
%{?_without_faad: %{expand: %%global build_faad 0}}
%{?_with_lame: %{expand: %%global build_lame 1}}
%{?_without_lame: %{expand: %%global build_lame 0}}
%{?_with_win32: %{expand: %%global build_win32 1}}
%{?_without_win32: %{expand: %%global build_win32 0}}
%{?_with_xvid: %{expand: %%global build_xvid 1}}
%{?_without_xvid: %{expand: %%global build_xvid 0}}

%if %build_plf
%define distsuffix plf
%endif

%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.*)(\\d+)$/;$rel=$2-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Name:		avifile
Version:	0.7.45
Release:	%{release}
Summary:	AVI files read/write library
Source0:	http://prdownloads.sourceforge.net/avifile/%{name}-%{major_version}-%version.tar.bz2
Patch0:		avifile-0.7-0.7.38-lib64.patch
Patch1:		avifile-20050620-64bit-fixes.patch
Patch2:		avifile-0.7-0.7.38-amd64.patch
Patch3:		avifile-20050620-rename-kv4lsetup.patch
Patch4:		avifile-0.7-0.7.45-gcc4.patch
URL:		http://avifile.sourceforge.net
License:	GPL
Group:		System/Libraries
%if %mdkversion > 910
BuildRequires:	qt3-devel
%else
BuildRequires:	libqt3-devel
%endif
BuildRequires:	SDL-devel >= 1.2.4
BuildRequires:	esound-devel
BuildRequires:	libalsa-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmad-devel
BuildRequires:	liba52dec-devel
BuildRequires:	libtool
BuildRequires:	automake1.7
BuildRequires:	X11-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)Compression is performed with various plugins (FFMpeg,vorbis,...)
%if %build_plf

This package is in PLF as it has additional support for AAC decoding with libfaad, which
is covered by software patents.
%endif

%package player
Summary:	Video player for AVI/ASF/WMF files
Group:		Video
Requires:	%{lib_name} = %{version}

%description player
Player for various AVI, ASF, WFM (with streaming support) files.

%package samples
Summary:	Sample programs using the avifile library
Group:		Video
Requires:	%{lib_name} = %{version}

%description samples
Sample programs using the avifile library Qt-based AVI utilities with
few other useful supporting tools for TV capturing, AVI recompression,
benchmarking, joining AVI files.
These programs have more bugs as they are not as extensively developed 
as player.

%package -n %{lib_name}
Summary:	AVI files read/write library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)Compression is performed with various plugins (FFMpeg,vorbis,...)

%package -n %{lib_name}-devel
Summary:	Development header files for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Requires:	%{libnamecodec} = %{version}
Provides:	%{lib_name_orig}-devel

%description -n %{lib_name}-devel
This package contains the symlinks, headers and object files needed to compile
and link programs which use aviplay library.

%package -n %libnamecodec
Summary:	AVI files codec library from FFMPEG
Group:		System/Libraries
%if %build_faad
BuildRequires:	libfaad2-devel
Requires:	%{_lib}faad2_0
%else
BuildConflicts:	libfaad2-devel
%endif

%description -n %{libnamecodec}
Avifile is a library that allow programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
(De)Compression is performed with various plugins (FFMpeg,vorbis,...)

%if %build_win32
%package win32
Summary:	Win32 plugin for %{name}
Group:		Video
Requires:	%{lib_name} = %{version}
#Requires:	win32-codecs >= 1.2 
ExclusiveArch:	%ix86
Provides:	avifile-plugins-win32
Obsoletes:	avifile-plugins-win32

%description win32
This package contains the win32 plugin for %{name}.
It is in PLF because it is covered by software patents.
You must install the win32-codecs package to use this.
%endif

%if %build_lame
%package lame
Summary:	Lame plugin for %{name}
Group:		Video
Requires:	%{lib_name} = %{version}
Requires:	libmp3lame0
BuildRequires:	libmp3lame0-devel
Provides:	avifile-plugins-lame
Obsoletes:	avifile-plugins-lame

%description lame
This package contains the lame plugin for %{name}.
It is in PLF because it is covered by software patents.
%endif

%if %build_xvid
%package xvid
Summary:	Xvid plugin for %{name}
Group:		Video
Requires:	%{lib_name} = %{version}
BuildRequires:	xvid4-devel
Provides: avifile-plugins-xvid
Obsoletes: avifile-plugins-xvid

%description xvid
This package contains the xvid plugin for %{name}.
It is in PLF because it is covered by software patents.
%endif


%prep
%setup -q -n %name-%{major_version}-%version
%patch0 -p1 -b .lib64
%patch1 -p1 -b .64bit-fixes
%patch2 -p1 -b .amd64
%patch3 -p1 -b .kv4l
%patch4 -p1 -b .gcc4
./autogen.sh
aclocal-1.7 -I m4
autoconf
automake-1.7 -a -c --foreign

%build
./configure --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir
make CFLAGS="%optflags" CXXFLAGS="%optflags" LDFLAGS="-L`pwd`/lib/.libs/"


%install
rm -rf %buildroot
%makeinstall_std transform=""
%multiarch_binaries %buildroot%_bindir/avifile-config
find %buildroot -name \*.la|xargs perl -pi -e "s!-L`pwd`/lib/.libs/!!"
# gw conflicts with kdetv:
mv %buildroot%_bindir/kv4lsetup %buildroot%_bindir/avifile-kv4lsetup
mv %buildroot%_mandir/man1/kv4lsetup.1 %buildroot%_mandir/man1/avifile-kv4lsetup.1

chmod 755 %buildroot%_datadir/%name-%major_version/scripts/*
chmod 644 %buildroot%{_libdir}/%{name}-%{major_version}/*.la
%if %build_vidix
chmod 644 %buildroot%{_libdir}/%{name}-%{major_version}/vidix/*.la
%endif

# menu entries
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-player.desktop << EOF
[Desktop Entry]
Name=AviPlay
Comment=Video player for AVI/ASF/WMF files
Exec=aviplay %U
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;Video;Player;
MimeType=video/msvideo;video/x-avi;video/x-ms-asf;video/x-ms-wmv;video/x-msvideo;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-avicap.desktop << EOF
[Desktop Entry]
Name=AviCap
Comment=Video grabber for AVI files
Exec=avicap
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;Video;Recorder;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-avirecompress.desktop << EOF
[Desktop Entry]
Name=AviRecompress
Comment=Simple editor and recompressor for AVI files
Exec=avirecompress
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;Video;AudioVideoEditing;
EOF

#clean unpackaged files
rm -f %buildroot%_bindir/mmxnow-config
rm -f %buildroot%_libdir/libmmxnow*
rm -f %buildroot%_datadir/%{name}-%{major_version}/COPYING
rm -f %buildroot%_datadir/%{name}-%{major_version}/ChangeLog
rm -f %buildroot%_datadir/%{name}-%{major_version}/INSTALL
rm -f %buildroot%_datadir/%{name}-%{major_version}/README
rm -rf %buildroot%_datadir/%{name}-%{major_version}/doc
rm -f %buildroot%{_libdir}/%{name}-%{major_version}/divx4*
%if !%build_lame
rm -f %buildroot%{_libdir}/%{name}-%{major_version}/mp3lame*
%endif
%if !%build_win32
rm -f %buildroot%{_libdir}/%{name}-%{major_version}/win32*
%endif
%if !%build_xvid
rm -f %buildroot%{_libdir}/%{name}-%{major_version}/xvid*
%endif

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post player
%{update_menus}
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun player
%{clean_menus}
%clean_desktop_database
%endif

%if %mdkversion < 200900
%post samples
%{update_menus}
%endif

%if %mdkversion < 200900
%postun samples
%{clean_menus}
%endif

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%post -n %{libnamecodec} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libnamecodec} -p /sbin/ldconfig
%endif


%files player
%defattr(-,root,root)
%doc ChangeLog COPYING README doc/CREDITS doc/FreeBSD doc/LICENSING
%doc doc/TODO doc/WARNINGS doc/EXCEPTIONS doc/KNOWN_BUGS doc/README-DEVEL
%doc doc/VIDEO-PERFORMANCE

%{_bindir}/aviplay
%{_mandir}/man1/aviplay.1.*
%dir %{_datadir}/%{name}-%{major_version}
%_datadir/avifile-0.7/action.cfg
%_datadir/avifile-0.7/pixmaps/
%_datadir/applications/mandriva-%{name}-player.desktop

%files samples
%defattr(-,root,root)
%doc samples/README
%doc doc/avicap/*.html
%{_bindir}/avibench
%{_bindir}/avicap
%{_bindir}/avicat
%{_bindir}/avimake
%{_bindir}/avirec
%{_bindir}/avirecompress
%{_bindir}/avitype
%attr(4755,root,root) %{_bindir}/avifile-kv4lsetup
%_datadir/applications/mandriva-avicap.desktop
%_datadir/applications/mandriva-avirecompress.desktop
%_mandir/man1/avibench.*
%_mandir/man1/avicap.*
%_mandir/man1/avicat.*
%_mandir/man1/avimake.*
%_mandir/man1/avirec.*
%_mandir/man1/avirecompress.*
%_mandir/man1/avitype.*
%_mandir/man1/avifile-kv4lsetup.*
%dir %_datadir/%{name}-%{major_version}/
%dir %_datadir/%{name}-%{major_version}/i18/
%lang(de) %_datadir/%{name}-%{major_version}/i18/avicap_de.qm
%_datadir/%name-%major_version/scripts/

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libaviplay-%{major_version}.so.*
%{_libdir}/libqavm-%{major_version}.so.*
%{_libdir}/libaviplayavformat-%{major_version}.so.*
%{_libdir}/libaviplayavutil-%{major_version}.so.*
%{_libdir}/libaviplaydha-%{major_version}.so.*
%if %{build_vidix}
%{_libdir}/libaviplayvidix-%{major_version}.so.*
%endif
%dir %{_libdir}/%{name}-%{major_version}
%{_libdir}/%{name}-%{major_version}/ac3pass.*
%{_libdir}/%{name}-%{major_version}/audiodec.*
%{_libdir}/%{name}-%{major_version}/ffmpeg.*
%{_libdir}/%{name}-%{major_version}/mad_audiodec.*
%{_libdir}/%{name}-%{major_version}/osmjpeg.*
%{_libdir}/%{name}-%{major_version}/mpeg_audiodec.*
%{_libdir}/%{name}-%{major_version}/vorbis_audio.*
%if %{build_vidix}
%{_libdir}/%{name}-%{major_version}/vidix
%endif

%files -n %libnamecodec
%defattr(-,root,root)
%{_libdir}/libaviplayavcodec-%{major_version}.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_bindir}/avifile-config
%{multiarch_bindir}/avifile-config
%{_includedir}/*
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%_libdir/pkgconfig/avifile.pc
%_datadir/aclocal/avifile.m4
%_mandir/man1/avifile-config.*

%if %build_win32
%files win32
%defattr(-, root, root)
%{_libdir}/%{name}-%{major_version}/win32*
%endif

%if %build_lame
%files lame
%defattr(-, root, root)
%{_libdir}/%{name}-%{major_version}/mp3lame_audioenc*
%{_libdir}/%{name}-%{major_version}/mp3lamebin_audioenc*
%endif

%if %build_xvid
%files xvid
%defattr(-, root, root)
%{_libdir}/%{name}-%{major_version}/xvid*
%endif




%changelog
* Sun Aug 17 2008 Funda Wang <fundawang@mandriva.org> 0.7.45-12mdv2009.0
+ Revision: 273057
- rebuild for new dfb

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.45-11mdv2009.0
+ Revision: 266229
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Götz Waschk <waschk@mandriva.org> 0.7.45-10mdv2009.0
+ Revision: 214210
- don't redefine the qt environment variables
- fix build, use automake 1.7
- update gcc patch 4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'
    - fix man pages
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.45-8mdv2008.0
+ Revision: 34343
- Rebuild with libslang2.


* Thu Feb 22 2007 Götz Waschk <waschk@mandriva.org> 0.7.45-7mdv2007.0
+ Revision: 124394
- Import avifile

* Thu Feb 22 2007 Gtz Waschk <waschk@mandriva.org> 0.7.45-7mdv2007.1
- update patch 4
- fix description
- rebuild

* Thu Aug 31 2006 Anssi Hannula <anssi@mandriva.org> 0.7.45-6mdv2007.0
- fix buildrequires

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 0.7.45-5mdv2007.0
- xdg menu
- fix buildrequires

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 0.7.45-4mdv2007.0
- fix build with gcc 4.1

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.7.45-3mdk
- add dha on x86_64 as well

* Fri Mar 10 2006 Gtz Waschk <waschk@mandriva.org> 0.7.45-2mdk
- fix installation without vidix

* Mon Mar 06 2006 Gtz Waschk <waschk@mandriva.org> 0.7.45-1mdk
- new version

* Fri Nov 04 2005 Gtz Waschk <waschk@mandriva.org> 0.7.43-3.20051104.1mdk
- update file list
- new snapshot
- more build switches to allow x86_64 plf build (Anssi again)

* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 0.7.43-3.20050620.3mdk
- "fix" qt3 buildrequirement

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 0.7.43-3.20050620.2mdk
- make all scripts executable
- rename kv4lsetup
- fix buildrequires for 9.1

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.7.43-3.20050620.1mdk
- drop divx support
- update patch 1
- new snapshot

* Tue Apr 12 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.43-3mdk
- fix deps

* Sat Apr 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.43-2mdk
- use mkrel macro

* Thu Mar 03 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.43-1mdk
- multiarch
- drop merged patch 3
- new version

* Thu Nov 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.39-0.20041117.2mdk
- update description

* Wed Nov 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.39-0.20041117.1mdk
- fix broken pkgconfig file
- new snapshot

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.39-0.20040607.3mdk
- drop 9.0 support

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.39-0.20040607.2mdk
- build fix

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.39-0.20040607.1mdk
- new snapshot

